org.apache.ignite.internal.processors.odbc.jdbc

## Class JdbcResultInfo

- java.lang.Object
- - org.apache.ignite.internal.processors.odbc.jdbc.JdbcResultInfo

All Implemented Interfaces:
  JdbcRawBinarylizable

    public class JdbcResultInfo
    extends Object
    implements JdbcRawBinarylizable

JDBC statement result information. Keeps statement type (SELECT or UPDATE) and queryId or update count (depends on statement type).

### Constructor Summary

Constructors
Constructor and Description
`JdbcResultInfo(boolean isQuery, long updCnt, long cursorId)`

### Method Summary

All Methods Instance Methods Concrete Methods
`long` `cursorId()`
`boolean` `isQuery()`
`void` `readBinary(BinaryReaderExImpl reader, JdbcProtocolContext protoCtx)` Reads fields from provided reader.
`String` `toString()`
`long` `updateCount()`
`void` `writeBinary(BinaryWriterExImpl writer, JdbcProtocolContext protoCtx)` Writes fields to provided writer.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### JdbcResultInfo

    public JdbcResultInfo(boolean isQuery,
                          long updCnt,
                          long cursorId)

Parameters:
  `isQuery` - Query flag.
  `updCnt` - Update count.
  `cursorId` - Cursor ID.

### Method Detail

#### isQuery

    public boolean isQuery()

Returns:
  Query flag.

#### cursorId

    public long cursorId()

Returns:
  Cursor ID.

#### updateCount

    public long updateCount()

Returns:
  Update count.

#### writeBinary

    public void writeBinary(BinaryWriterExImpl writer,
                            JdbcProtocolContext protoCtx)

Writes fields to provided writer.

Specified by:
  `writeBinary` in interface `JdbcRawBinarylizable`
Parameters:
  `writer` - Binary object writer.
  `protoCtx` - JDBC protocol context.

#### readBinary

    public void readBinary(BinaryReaderExImpl reader,
                           JdbcProtocolContext protoCtx)

Reads fields from provided reader.

Specified by:
  `readBinary` in interface `JdbcRawBinarylizable`
Parameters:
  `reader` - Binary object reader.
  `protoCtx` - JDBC protocol context.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.13.0
Release Date | : April 20 2022